summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Marcel Saegebarth2015-08-12 13:54:11 +0200
committer Willy Sudiarto Raharjo2015-08-12 13:54:11 +0200
commit5c9185b39d645392c0fbcda57651875ff3a914ba (patch)
treee7ec480c7e460f4b67725a2a23a8d91ca7aba99c /system
parent233a74b9e9ed26b2b46eff0d7b284d1fcc2bb007 (diff)
downloadslackbuilds-5c9185b39d645392c0fbcda57651875ff3a914ba.tar.gz
system/firmware-gobi-2000: Added (Qualcomm Gobi 2000 firmware).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/firmware-gobi-2000/README16
-rw-r--r--system/firmware-gobi-2000/README.SBo42
-rw-r--r--system/firmware-gobi-2000/firmware-gobi-2000.SlackBuild114
-rw-r--r--system/firmware-gobi-2000/firmware-gobi-2000.info12
-rw-r--r--system/firmware-gobi-2000/slack-desc19
5 files changed, 203 insertions, 0 deletions
diff --git a/system/firmware-gobi-2000/README b/system/firmware-gobi-2000/README
new file mode 100644
index 0000000000..89c2845a7e
--- /dev/null
+++ b/system/firmware-gobi-2000/README
@@ -0,0 +1,16 @@
+Firmware and loader for Qualcomm Gobi USB chipsets. These
+devices appear in an uninitialised state when power is applied and
+require firmware to be loaded before they can be used as modems.
+gobi_loader adds a udev rule that will trigger loading of the
+firmware and make the modem usable.
+
+Note:
+No carrier specific card configuration may work with `CARRIER=UMTS' (default)
+or `CARRIER=6' else pass `CARRIER=<sub-directory>' to the SlackBuild matching
+your carrier or reseller/franchiser which is using the carrier.
+It's strongly encouraged to explicit select a carrier.
+
+After installation restart your system or use
+`udevadm control --reload && udevadm trigger`.
+
+For carrier information, see README.SBo
diff --git a/system/firmware-gobi-2000/README.SBo b/system/firmware-gobi-2000/README.SBo
new file mode 100644
index 0000000000..7aaad88a30
--- /dev/null
+++ b/system/firmware-gobi-2000/README.SBo
@@ -0,0 +1,42 @@
+
+--------------------------------------------------------------------------------
+| Sub-Directory | Files | Carrier |
+--------------------------------------------------------------------------------
+| UMTS | amss.mbn, apps.mbn | Default Firmware |
+--------------------------------------------------------------------------------
+| 0 | UQCN.mbn | Vodafone |
+--------------------------------------------------------------------------------
+| 1 | amss.mbn, apps.mbn, UQCN.mbn | Verizon (special firmware) |
+--------------------------------------------------------------------------------
+| 2 | UQCN.mbn | AT&T |
+--------------------------------------------------------------------------------
+| 3 | amss.mbn, apps.mbn, UQCN.mbn | Sprint (special Firmware) |
+--------------------------------------------------------------------------------
+| 4 | UQCN.mbn | T-Mobile |
+--------------------------------------------------------------------------------
+| 6 | UQCN.mbn | Generic UMTS |
+--------------------------------------------------------------------------------
+| 7 | UQCN.mbn | Telefonica, O2 |
+--------------------------------------------------------------------------------
+| 8 | UQCN.mbn | Telecom Italia |
+--------------------------------------------------------------------------------
+| 9 | UQCN.mbn | Orange |
+--------------------------------------------------------------------------------
+| 12 | amss.mbn, apps.mbn, UQCN.mbn | DoCoMo (special firmware) |
+--------------------------------------------------------------------------------
+
+Non-listed carriers
+--------------------------------------------------------------------------------
+| Sub-Directory | Carrier | Works with |
+--------------------------------------------------------------------------------
+| UMTS | Default | UMTS unlocked, O2 UK?, O2 Germany, |
+| | Firmware | E-Plus Germany |
+--------------------------------------------------------------------------------
+| 0 | Vodafone | E-Plus Germany |
+--------------------------------------------------------------------------------
+| 6 | Generic UMTS |O2 UK?, O2 Germany, Mobitel Slovenia |
+--------------------------------------------------------------------------------
+
+Sources:
+http://www.thinkwiki.org/wiki/Qualcomm_Gobi_2000 (englisch)
+http://thinkwiki.de/Qualcomm_Gobi_2000_unter_Linux_installieren (german)
diff --git a/system/firmware-gobi-2000/firmware-gobi-2000.SlackBuild b/system/firmware-gobi-2000/firmware-gobi-2000.SlackBuild
new file mode 100644
index 0000000000..596472b969
--- /dev/null
+++ b/system/firmware-gobi-2000/firmware-gobi-2000.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# SlackBuild script for "firmware-gobi-2000".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=firmware-gobi-2000
+SRCNAM=gobi_loader
+EXENAM=${EXENAM:-7xwc48ww.exe}
+MSINAM=${MSINAM:-GobiInstaller.msi}
+CARRIER=${CARRIER:-UMTS}
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ echo "Only x86 & x86_64 is supported. Exit."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# extract firmware from InstallShield and Windows Installer
+innoextract -d $TMP/$SRCNAM-$VERSION $CWD/$EXENAM
+mkdir -p $TMP/$SRCNAM-$VERSION/bullshit
+msiextract -C $TMP/$SRCNAM-$VERSION/bullshit $TMP/$SRCNAM-$VERSION/app/Driver/$MSINAM
+
+sed -i "s/-Wall/& ${SLKCFLAGS}/" Makefile
+make
+mkdir -p $PKG/lib/udev/rules.d
+install -s -D -m 0755 $TMP/$SRCNAM-$VERSION/gobi_loader $PKG/lib/udev
+install -D -m 0644 $TMP/$SRCNAM-$VERSION/60-gobi.rules $PKG/lib/udev/rules.d
+
+FIRMWARE="$TMP/$SRCNAM-$VERSION/bullshit/Images/Lenovo"
+if [ ! -d "$FIRMWARE/UMTS"] || [ ! -d "$FIRMWARE/$CARRIER"]; then
+ echo "Selected carrier missing or not supported. Exit."
+ exit 1
+fi
+
+mkdir -p $PKG/lib/firmware/gobi
+for file in amss.mbn apps.mbn UQCN.mbn; do
+ if [ -f "$FIRMWARE/UMTS/$file" ]; then
+ cp -a $FIRMWARE/UMTS/$file $PKG/lib/firmware/gobi
+ fi
+
+ if [ -f "$FIRMWARE/$CARRIER/$file" ]; then
+ cp -a $FIRMWARE/$CARRIER/$file $PKG/lib/firmware/gobi
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/firmware-gobi-2000/firmware-gobi-2000.info b/system/firmware-gobi-2000/firmware-gobi-2000.info
new file mode 100644
index 0000000000..798ed6a93c
--- /dev/null
+++ b/system/firmware-gobi-2000/firmware-gobi-2000.info
@@ -0,0 +1,12 @@
+PRGNAM="firmware-gobi-2000"
+VERSION="0.7"
+HOMEPAGE="http://www.codon.org.uk/~mjg59/gobi_loader/"
+DOWNLOAD="http://www.codon.org.uk/~mjg59/gobi_loader/download/gobi_loader-0.7.tar.gz \
+ https://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/7xwc48ww.exe"
+MD5SUM="c3aca13541be3b29e3700149256aadb6 \
+ 629985df8599b3815211ddcffbb6bad5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="innoextract msitools"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/system/firmware-gobi-2000/slack-desc b/system/firmware-gobi-2000/slack-desc
new file mode 100644
index 0000000000..6110d7fe42
--- /dev/null
+++ b/system/firmware-gobi-2000/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+firmware-gobi-2000: firmware-gobi-2000 (Qualcomm Gobi 2000 firmware and loader)
+firmware-gobi-2000:
+firmware-gobi-2000: Firmware and loader for Qualcomm Gobi USB chipsets. These
+firmware-gobi-2000: devices appear in an uninitialised state when power is applied and
+firmware-gobi-2000: require firmware to be loaded before they can be used as modems.
+firmware-gobi-2000: gobi_loader adds a udev rule that will trigger loading of the
+firmware-gobi-2000: firmware and make the modem usable.
+firmware-gobi-2000:
+firmware-gobi-2000: Homepage: http://www.codon.org.uk/~mjg59/gobi_loader/
+firmware-gobi-2000:
+firmware-gobi-2000: